Summary:   Tool to convert between any document format supported by LibreOffice
Name:      unoconv
Version:   0.4
Release:   %mkrel 3
License:   GPLv2
Group:     System/Base
URL:       http://dag.wieers.com/home-made/unoconv/
Source:    http://dag.wieers.com/home-made/%{name}/%{name}-%{version}.tar.bz2
# Allow -o flag to output to files
Patch0:    unoconv-output-files.patch
# Fix LD_LIBRARY_PATH handling. From upstream trunk
Patch1:    unoconv-ld-path.patch
BuildArch: noarch
Requires:  libreoffice-core
Requires:  libreoffice-pyuno

%description
unoconv converts between any document format that LibreOffice understands.
It uses LibreOffice's UNO bindings for non-interactive conversion of
documents.

Supported document formats include Open Document Format (.odf), MS Word (.doc),
MS Office Open/MS OOXML (.xml), Portable Document Format (.pdf), HTML, XHTML,
RTF, Docbook (.xml), and more.

%prep
%setup -q
%patch0 -p3 -b .o_flag
%patch1 -p3 -b .ld_library_path

%build

%install
rm -rf %{buildroot}
%make_install

%files
%doc AUTHORS ChangeLog COPYING README TODO WISHLIST docs/ tests/
%{_mandir}/man1/%{name}.1*
%{_bindir}/%{name}



%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.4-3.mga4
+ Revision: 519912
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 0.4-2.mga3
+ Revision: 385072
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Aug 31 2011 ovitters <ovitters> 0.4-1.mga2
+ Revision: 136811
- imported package unoconv

